using System;
using System.Collections.Generic;
using System.Web.UI.WebControls.Expressions;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class CustomExpression1 : System.Web.UI.Page
{
    
    protected void FiltrarProdutos(object sender, CustomExpressionEventArgs e)
    {
        e.Query = from p in e.Query.Cast<Product>()
                  where p.ProductName.StartsWith("c")
                  select p;
    }
}